Package com.stardog.stark.io.binary

# Class BinaryRDFParser

java.lang.Object
com.stardog.stark.io.binary.BinaryRDFParser

All Implemented Interfaces:
  `BinaryRDFConstants`, `RDFParser`

public final class BinaryRDFParser extends Object implements RDFParser, BinaryRDFConstants

Since:
  1.0
Version:
  6.1.2
Author:
  Jeen Broekstra, Michael Grove

- ## Field Summary

  ### Fields inherited from interface com.stardog.stark.io.binary.BinaryRDFConstants

  `BNODE_VALUE, COMMENT, DATATYPE_LITERAL_VALUE, EMBEDDED_QUAD, EMBEDDED_TRIPLE, END_OF_DATA, FORMAT_VERSION, FORMAT_VERSION_UTF8, LANG_LITERAL_VALUE, LONG_STRING_MARKER, MAGIC_NUMBER, NAMESPACE_DECL, NULL_VALUE, PLAIN_LITERAL_VALUE, QUAD, TRIPLE, URI_VALUE, VALUE_DECL, VALUE_REF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BinaryRDFParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RDFFormat`
  `format()`
  The format this parser can parse
  `void`
  `parse(InputStream theStream, RDFHandler theHandler, Options theOptions)`
  Parse the content

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.io.RDFParser

  `parse`

- ## Constructor Details

  - ### BinaryRDFParser

    public BinaryRDFParser()

- ## Method Details

  - ### format

    @Nonnull public RDFFormat format()
    The format this parser can parse
    Specified by:
      `format` in interface `RDFParser`
    Returns:
      the format

  - ### parse

    public void parse(@Nonnull InputStream theStream, @Nonnull RDFHandler theHandler, @Nonnull Options theOptions) throws IOException
    Parse the content
    Specified by:
      `parse` in interface `RDFParser`
    Parameters:
      `theStream` - the stream to read from
      `theHandler` - the handler to pass parse events to
      `theOptions` - the parsing options
    Throws:
      `IOException` - if there was an error while reading from the stream